# Uses of Interface
com.sun.grid.util.expect.ExpectHandler

Packages that use ExpectHandler
Package
Description
com.sun.grid.util.expect
This package contains classes for handling stdout, stderr and stin of a process (similar to tcl expect).

## Uses of ExpectHandler in com.sun.grid.util.expect

Classes in com.sun.grid.util.expect that implement ExpectHandler
Modifier and Type
Class
Description
`class`
`ExpectPasswordHandler`
`class`
`ExpectStringHandler`
Methods in com.sun.grid.util.expect with parameters of type ExpectHandler
Modifier and Type
Method
Description
`void`
Expect.`add(ExpectHandler handler)`
Add a new expect handler.